Summary:	Simple DirectMedia Layer - network
Summary(pl.UTF-8):	Biblioteka obsługi sieci w SDL
Summary(pt_BR.UTF-8):	Simple DirectMedia Layer - Biblioteca de rede portável
Name:		SDL_net
Version:	1.2.8
Release:	2
License:	Zlib-like
Group:		Libraries
Source0:	http://www.libsdl.org/projects/SDL_net/release/%{name}-%{version}.tar.gz
# Source0-md5:	20e64e61d65662db66c379034f11f718
URL:		http://www.libsdl.org/projects/SDL_net/release-1.2.html
BuildRequires:	SDL-devel >= 1.2.14
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.0
Requires:	SDL >= 1.2.14
Obsoletes:	libSDL_net1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an example portable network library for use with SDL. Note
that this isn't necessarily how you would want to write a chat
program, but it demonstrates how to use the basic features of the
network and GUI libraries.

%description -l pl.UTF-8
Przykładowa biblioteka obsługi sieci korzystająca z SDL.

%description -l pt_BR.UTF-8
Esta é uma biblioteca portável de rede para uso com o SDL.

%package devel
Summary:	Header files and more to develop SDL_net applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_net
Summary(pt_BR.UTF-8):	Cabeçalhos para desenvolver programas utilizando a SDL_net
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.14
Obsoletes:	libSDL_net1.2-devel

%description devel
This package contains the headers that programmers will need to
develop applications which will use SDL_net.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowepotzrebne przy rozwijania aplikacji
używających SDL_net.

%description devel -l pt_BR.UTF-8
Este pacote contém os cabeçalhos que programadores vão precisar para
desenvolver aplicações utilizando a SDL_net.

%package static
Summary:	Static SDL_net libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_net
Summary(pt_BR.UTF-8):	Biblioteca estática para desenvolvimento utilizando a SDL_net
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_net libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_net.

%description static -l pt_BR.UTF-8
Este pacote contém a biblioteca estática que programadores vão
precisar para desenvolver aplicações linkados estaticamente com a
SDL_net.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_libdir}/libSDL_net-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_net-1.2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSDL_net.so
%{_libdir}/libSDL_net.la
%{_includedir}/SDL/SDL_net.h
%{_pkgconfigdir}/SDL_net.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_net.a
%changelog
* Fri Feb 27 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL_net.git;a=log;h=master

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> 55122f1
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jun 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b35203
- typo

* Fri Jun 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 34b6aed
- updated URL and SDL version

* Tue Jan 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 2af6177
- updated to 1.2.8 (now on zlib-like license)

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> 9640c69
- rel 3

* Sat Nov 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cef224d
- release 2

* Mon Aug 13 2007 Jakub Bogusz <qboosh@pld-linux.org> ab067a0
- updated to 1.2.7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ef0de8d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7464896
- converted to UTF-8

* Fri May 19 2006 Jakub Bogusz <qboosh@pld-linux.org> bdc675a
- updated to 1.2.6, moved base docs to base

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 6972c2a
- spaces->tabs
- formatting

* Sat Sep 25 2004 radek <radek@pld-linux.org> 4ec5ca4
- cosmetics (spaces -> tabs)

* Thu Aug 05 2004 Paweł Sikora <pluto@pld-linux.org> b54f6ba
- strict deps.

* Fri Jan 02 2004 Jacek Konieczny <jajcus@pld-linux.org> fb15aeb
- Release: 2 (STBR after AMD64 fixes)

* Mon Dec 29 2003 Jacek Konieczny <jajcus@pld-linux.org> 462a1ab
- copy config.sub from automake

* Sun Jul 06 2003 Paweł Gołaszewski <blues@pld-linux.org> 841da7e
- many small fixes, mostly inpired by kloczek

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 77bdf46
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 4d94cf7
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 20 2003 kloczek <kloczek@pld-linux.org> 5b35923
- merge translations from Conectiva.

* Sun Mar 16 2003 grzegol <grzegol@pld-linux.org> c610167
- updated to 1.2.5
- new %%doc

